| OpenMS 2.5.0

OpenSwathDecoyGenerator

Generates decoys according to different models for a specific TraML

potential predecessor tools | OpenSwathDecoyGenerator | potential successor tools
OpenSwathAssayGenerator | OpenSwathAnalyzer
OpenSwathWorkflow

This module generates "decoy" transitions from a set of real or "target" transitions. The idea is to use the decoy transitions in a statistical scoring process to estimate the false hits in an SRM / SWATH experiment. The tool operates on TraML files, which can come from TargetedFileConverter or any other tool.

There are multiple methods to create the decoy transitions, the simplest ones are reverse and pseudo-reverse which reverse the sequence either completely or leaving the last (tryptic) AA untouched respectively.

Another decoy generation method is "shuffle" which uses an algorithm similar to the one described in Lam, Henry, et al. (2010). "Artificial decoy spectral libraries for false discovery rate estimation in spectral library searching in proteomics". Journal of Proteome Research 9, 605-610. It shuffles the amino acid sequence (excluding N-/C-terminal and K/R/P) and shuffles the fragment ion intensities accordingly. If the new sequence does not reach a threshold of identity within a set number of trials, a random amino acid (not N-/C-terminal or modified) is "mutated" to a random other amino acid.

The command line parameters of this tool are:

    OpenSwathDecoyGenerator -- Generates decoys according to different models for a specific TraML

    Full documentation: http://www.openms.de/documentation/TOPP_OpenSwathDecoyGenerator.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      OpenSwathDecoyGenerator <options>

    Options (mandatory options marked with '*'):

      -in <file>*             Input file (valid formats: 'tsv', 'mrm', 'pqp', 'TraML')

      -in_type <type>         Input file type -- default: determined from file extension or content

                              (valid: 'tsv', 'mrm', 'pqp', 'TraML')

      -out <file>*            Output file (valid formats: 'tsv', 'pqp', 'TraML')

      -out_type <type>        Output file type -- default: determined from file extension or content

                              (valid: 'tsv', 'pqp', 'TraML')

      -method <type>          Decoy generation method ('shuffle','pseudo-reverse','reverse','shift') (default:

                              'shuffle' valid: 'shuffle', 'pseudo-reverse', 'reverse', 'shift')

      -decoy_tag <type>       Decoy tag (default: 'DECOY_')

      -switchKR <true/false>  Whether to switch terminal K and R (to achieve different precursor mass) (default:

                              'true' valid: 'true', 'false')

    Common TOPP options:

      -ini <file>             Use the given TOPP INI file

      -threads <n>            Sets the number of threads allowed to be used by the TOPP tool (default: '1')

      -write_ini <file>       Writes the default configuration file

      --help                  Shows options

      --helphelp              Shows all options (including advanced)

The algorithm parameters for the Analyzer filter are:

Legend:
required parameter
advanced parameter
+OpenSwathDecoyGenerator Generates decoys according to different models for a specific TraML
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'OpenSwathDecoyGenerator'
in Input file input file*.tsv,*.mrm,*.pqp,*.TraML
in_type Input file type -- default: determined from file extension or content
tsv,mrm,pqp,TraML
out Output file output file*.tsv,*.pqp,*.TraML
out_type Output file type -- default: determined from file extension or content
tsv,pqp,TraML
method shuffle decoy generation method ('shuffle','pseudo-reverse','reverse','shift')shuffle,pseudo-reverse,reverse,shift
decoy_tag DECOY_ decoy tag
min_decoy_fraction 0.8 Minimum fraction of decoy / target peptides and proteins
aim_decoy_fraction 1.0 Number of decoys the algorithm should generate (if unequal to 1, the algorithm will randomly select N peptides for decoy generation)
shuffle_max_attempts 30 shuffle: maximum attempts to lower the amino acid sequence identity between target and decoy for the shuffle algorithm
shuffle_sequence_identity_threshold 0.5 shuffle: target-decoy amino acid sequence identity threshold for the shuffle algorithm
shift_precursor_mz_shift 0.0 shift: precursor ion MZ shift in Thomson for shift decoy method
shift_product_mz_shift 20.0 shift: fragment ion MZ shift in Thomson for shift decoy method
product_mz_threshold 0.025 MZ threshold in Thomson for fragment ion annotation
allowed_fragment_types b,y allowed fragment types
allowed_fragment_charges 1,2,3,4 allowed fragment charge states
enable_detection_specific_losses false set this flag if specific neutral losses for detection fragment ions should be allowed true,false
enable_detection_unspecific_losses false set this flag if unspecific neutral losses (H2O1, H3N1, C1H2N2, C1H2N1O1) for detection fragment ions should be allowed true,false
switchKR true Whether to switch terminal K and R (to achieve different precursor mass)true,false
separate false set this flag if decoys should not be appended to targets.true,false
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false